%define ver_major 0.4
%define _name gjs

Name: lib%_name
Version: %ver_major
Release: alt1

Summary: Javascript Bindings for GNOME
Group: System/Libraries
# The following files contain code from Mozilla which
# is triple licensed under MPL1.1/LGPLv2+/GPLv2+:
# The console module (modules/console.c)
# Stack printer (gjs/stack.c)
License: MIT and (MPLv1.1 or GPLv2+ or LGPLv2+)
Url: http://live.gnome.org/Gjs/

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

BuildRequires: xulrunner-devel
BuildRequires: gobject-introspection-devel >= 0.6.3
BuildRequires: libdbus-glib-devel libreadline-devel

%description
Gjs allows using GNOME libraries from Javascript. It's based on the
Spidermonkey Javascript engine from Mozilla and the GObject introspection
framework.

%package devel
Summary: Development package for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
Files for development with %name.

%prep
%setup -q -n %_name-%version

%build
%configure \
    --disable-static

# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
make DESTDIR=%buildroot install 

%files
%_bindir/gjs
%_bindir/gjs-console
%_libdir/*.so.*
%_libdir/gjs-1.0
%_datadir/gjs-1.0
%doc COPYING NEWS README

%files devel
%doc examples/*
%_includedir/gjs-1.0
%_libdir/pkgconfig/gjs-1.0.pc
%_libdir/pkgconfig/gjs-gi-1.0.pc
%_libdir/pkgconfig/gjs-dbus-1.0.pc
%_libdir/*.so

%changelog
* Tue Aug 25 2009 Yuri N. Sedunov <aris@altlinux.org> 0.4-alt1
- 0.4

* Thu Aug 13 2009 Yuri N. Sedunov <aris@altlinux.org> 0.3-alt1
- adapted for Sisyphus

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-2
- Updates from the review request

* Wed Jul  8 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-1
- New upstream release. Clarify licensing for review

* Sat Jun 27 2009 Peter Robinson <pbrobinson@gmail.com> 0.2-1
- Initial packaging
